"""Nextcloud logic."""

import owncloud


async def init_resource_map(app):
    """Initialise resource map listing."""
    from members_lumbung_space.config import (
        NEXTCLOUD_API_BASE_URL,
        NEXTCLOUD_APP_SECRET,
        NEXTCLOUD_USER,
    )

    nextcloud = owncloud.Client(f"https://{NEXTCLOUD_API_BASE_URL}")
    nextcloud.login(NEXTCLOUD_USER, NEXTCLOUD_APP_SECRET)

    await app.state.redis.set(
        "resource_map",
        [f.get_name() for f in nextcloud.list("/", depth="infinity")],
    )
