"""Home routes."""

from fastapi import APIRouter, Depends, Request

from members_lumbung_space.dependencies import (
    get_invites,
    get_resource_map,
    get_user,
    logged_in,
)

router = APIRouter()


@router.get("/", dependencies=[Depends(logged_in)])
async def home(
    request: Request,
    user=Depends(get_user),
    invites=Depends(get_invites),
    resource_map=Depends(get_resource_map),
):
    context = {
        "request": request,
        "user": user,
        "invites": invites,
        "resource_map": resource_map,
    }

    return request.app.state.templates.TemplateResponse(
        "admin.html", context=context
    )
